Home
Insightful &
Helpful Articles

Here is what we're working on and
thinking at Hedgehog security.

Age in Days
CVSS Score
Patch within next
Risk Level

4033


10.0

180 Days

Critical

 

This vulnerability is 11 years 0 months and 15 days old and there are presently no exploits available for the it. The vulnerability itself is over a year old, and while there are presently no publicly known exploits available for it, the vulnerability should be patched within the next three months.

 

Synopsis

The remote printer service is prone to a buffer overflow attack.

 

Vulnerability Description

According to its banner, the version of CUPS installed on the remote host fails to check the text-length field in the 'ippReadIO()' function in 'cups/ipp.c'. Using a specially crafted request with an IPP (Internet Printing Protocol) tag such as 'textWithLanguage' or 'nameWithLanguage' and an overly large text-length value, a remote attacker may be able to leverage this issue to execute arbitrary code on the affected system.

 

Solution

Upgrade to CUPS version 1.3.4 or later.

 

Further Information

http://secunia.com/secunia_research/2007-76/advisory/ 

 

CVE References

CVE-2007-4351 NIST | MITRE | CVEDetails

 

Get in touch

Should you have any questions regarding this or any security matter, please do not hesitate to get in touch by emailing the Hedgehog Cyber Operations Team.

Whilst every effort is made to ensure the accuracy and robustness of any information presented, it is not possible for Hedgehog Cyber to test every possible scenario an organisation may face, and Hedgehog Cyber cannot be held liable for any loss or damage which may arise from taking action on any of the contents provided. Hedgehog Cyber strongly advises that all recommendations, solutions and detection methods detailed, are thoroughly reviewed and tested in non-production environments before being considered suitable for production release, in-line with any existing internal change control procedures.